> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/bare-metal-instance/resetinstanceipmipassword.md).

# ResetInstanceIpmiPassword

## 1. API Description

This API (ResetInstanceIpmiPassword) is used to set the IPMI console login password of a bare metal instance.

{% hint style="info" %}
**Notes**

* After the password is set successfully, the IPMI console of the instance is enabled. You can call [DescribeInstanceIpmiUrl](/api-reference/bmc/bare-metal-instance/describeinstanceipmiurl.md) to obtain the console access URL.
* The username for logging in to the IPMI console is fixed as `operator`, and the password is the one set by this API.
* The IPMI console will be disabled after the operating system is reinstalled. You need to call this API again to set the password.
* The password must start with a letter and contain 8 to 16 characters. Letters, numbers, and the special characters `!@#+_,.` are allowed.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                                    |
| -------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | Instance ID.                                                                                                                                                                                                                                   |
| password       | Yes      | String | <p>IPMI console password.</p><p>It must start with a letter and contain 8 to 16 characters. Letters, numbers, and the special characters !@#+\_,. are allowed.</p><p>The username for logging in to the IPMI console is fixed as operator.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Set the IPMI password of an instance.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ResetInstanceIpmiPassword
<Common Request Params>

Request:
{
  "instanceId": "1234567890123456789",
  "password": "Abcd1234!"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                         | Description                                      |
| ---------------- | -------------------------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                      | Instance does not exist.                         |
| 403              | OPERATION\_DENIED\_INSTANCE\_RECYCLED              | The instance is in the recycle bin.              |
| 400              | INVALID\_PARAMETER\_VALUE\_PASSWORD\_MALFORMED     | Invalid password.                                |
| 409              | OPERATION\_FAILED\_INSTANCE\_IPMI\_PASSWORD\_RESET | Failed to set the IPMI password of the instance. |
